Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class AbstractEndpointFactoryBean

    java.lang.Object
      org.mule.endpoint.AbstractEndpointBuilder
          org.mule.endpoint.EndpointURIEndpointBuilder
              org.mule.config.spring.factories.AbstractEndpointFactoryBean

All Implemented Interfaces:
  Cloneable, MuleContextAware, EndpointBuilder, Initialisable, org.springframework.beans.factory.FactoryBean

Direct Known Subclasses:
  InboundEndpointFactoryBean, OutboundEndpointFactoryBean, PollInboundEndpointFactoryBean

    public abstract class AbstractEndpointFactoryBean

extends EndpointURIEndpointBuilder
implements org.springframework.beans.factory.FactoryBean, Initialisable

Abstract spring FactoryBean used to creating endpoints via spring.

Field Summary
`protected Log` | `logger`

Fields inherited from class org.mule.endpoint.AbstractEndpointBuilder
`connector, createConnector, deleteUnacceptedMessages, disableTransportTransformer, encoding, initialState, messageExchangePattern, messageProcessors, messageProcessorsFactory, mimeType, muleContext, name, properties, PROPERTY_RESPONSE_PROPERTIES, PROPERTY_RESPONSE_TIMEOUT, registryId, responseMessageProcessors, responsePropertiesList, responseTimeout, responseTransformers, retryPolicyTemplate, synchronous, transactionConfig, transformers, uriBuilder`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`AbstractEndpointFactoryBean()`
`AbstractEndpointFactoryBean(EndpointURIEndpointBuilder global)`

Method Summary
`protected abstract Object` | `doGetObject()`
`Object` | `getObject()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isSingleton()`

Methods inherited from class org.mule.endpoint.AbstractEndpointBuilder
`addMessageProcessor, addResponseMessageProcessor, addResponseTransformer, addResponseTransformerProcessors, addTransformer, addTransformerProcessors, buildInboundEndpoint, buildOutboundEndpoint, checkInboundExchangePattern, clone, doBuildInboundEndpoint, doBuildOutboundEndpoint, equal, equals, getConnector, getDefaultConnector, getDefaultDeleteUnacceptedMessages, getDefaultDisableTransportTransformer, getDefaultEndpointEncoding, getDefaultInitialState, getDefaultMessageProcessorsFactory, getDefaultResponseTimeout, getDefaultSecurityFilter, getDefaultTransactionConfig, getDeleteUnacceptedMessages, getEndpointBuilder, getEndpointEncoding, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getName, getProperties, getResponseMessageProcessors, getResponseTimeout, getResponseTransformersFromUri, getRetryPolicyTemplate, getScheme, getSecurityFilter, getTransactionConfig, getTransformersFromUri, hashCode, initExchangePatternFromConnectorDefault, isAlwaysCreateConnector, isDisableTransportTransformer, prepareToBuildEndpoint, setConnector, setCreateConnector, setDeleteUnacceptedMessages, setDisableTransportTransformer, setEncoding, setExchangePattern, setInitialState, setMessageProcessors, setMimeType, setMuleContext, setName, setProperties, setPropertiesFromProperties, setProperty, setRegistryId, setResponseMessageProcessors, setResponseTimeout, setResponseTransformers, setRetryPolicyTemplate, setTransactionConfig, setTransformers, setURIBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.FactoryBean
`getObjectType`

Field Detail

### logger

    protected final Log logger

Constructor Detail

### AbstractEndpointFactoryBean

    public AbstractEndpointFactoryBean(EndpointURIEndpointBuilder global)
                                throws EndpointException

Throws:
  `EndpointException`

### AbstractEndpointFactoryBean

    public AbstractEndpointFactoryBean()

Method Detail

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### doGetObject

    protected abstract Object doGetObject()
                                   throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.